package com.example.nto.repository;

import com.example.nto.entity.Code;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface CodeRepository extends JpaRepository<Code, Long> {

    // Метод для поиска кодов по логину
    @Query("SELECT c.value FROM Code c WHERE c.employee.login = :login")
    List<Long> findCodesByLogin(@Param("login") String login);
}