-- Создание таблицы employee
CREATE TABLE IF NOT EXISTS employee (
    id INT PRIMARY KEY,
    login VARCHAR(255),
    name VARCHAR(255),
    photo VARCHAR(255),
    position VARCHAR(255),
    last_visit TIMESTAMP,
    password VARCHAR(255),
    role VARCHAR(50)
);

-- Вставка данных в таблицу employee
INSERT INTO employee (id, login, name, photo, position, last_visit, password, role) //add
VALUES
    (1, 'pivanov', 'Иванов Петр Федорович', 'https://funnyducks.ru/upload/iblock/0cd/0cdeb7ec3ed6fddda0f90fccee05557d.jpg', 'Разработчик', '2024-02-12T08:30', 'password123', 'admin'),
    (2, 'ipetrov', 'Петров Иван Константинович', 'https://funnyducks.ru/upload/iblock/0cd/0cdeb7ec3ed6fddda0f90fccee05557d.jpg', 'Аналитик', '2024-02-13T08:35', 'password456', 'user'),
    (3, 'asemenov', 'Семенов Анатолий Анатольевич', 'https://funnyducks.ru/upload/iblock/0cd/0cdeb7ec3ed6fddda0f90fccee05557d.jpg', 'Разработчик', '2024-02-13T08:31', 'password789', 'user'),
    (4, 'afedorov', 'Федоров Александр Сергеевич', 'https://funnyducks.ru/upload/iblock/0cd/0cdeb7ec3ed6fddda0f90fccee05557d.jpg', 'Тестировщик', '2024-02-12T08:36', 'password000', 'user');

-- Создание таблицы code
CREATE TABLE IF NOT EXISTS code (
    value BIGINT
);

-- Вставка данных в таблицу code
INSERT INTO code (value, employee_id) VALUES
    (1234567890123456789, 1),
    (9223372036854775807, 2),
    (1122334455667788990, 3),
    (998877665544332211, 4),
    (5566778899001122334, 1);